OnigSyntaxType Struct Reference

`#include <oniguruma.h>`

## Data Fields

unsigned int | op
unsigned int | op2
unsigned int | behavior
OnigOptionType | options
OnigMetaCharTableType | meta_char_table

## Detailed Description

Definition at line 370 of file oniguruma.h.

## Field Documentation

unsigned int OnigSyntaxType::behavior

Definition at line 373 of file oniguruma.h.

Referenced by onig_get_syntax_behavior(), and onig_set_syntax_behavior().

OnigMetaCharTableType OnigSyntaxType::meta_char_table

Definition at line 375 of file oniguruma.h.

Referenced by onig_set_meta_char().

unsigned int OnigSyntaxType::op

Definition at line 371 of file oniguruma.h.

Referenced by onig_get_syntax_op(), and onig_set_syntax_op().

unsigned int OnigSyntaxType::op2

Definition at line 372 of file oniguruma.h.

Referenced by onig_get_syntax_op2(), and onig_set_syntax_op2().

OnigOptionType OnigSyntaxType::options

Definition at line 374 of file oniguruma.h.

Referenced by onig_get_syntax_options(), onig_reg_init(), and onig_set_syntax_options().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h